
Audacious - Bug #988

Audacious cannot be built with -flto

May 17, 2020 11:08 - Artem S. Tashkinov

Status: Rejected Start date: May 17, 2020

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 4.0.3   

Description

Steps to reproduce:

export CFLAGS="-O2 -flto=`nproc`" 

export CXXFLAGS="$CFLAGS" 

export LDFLAGS="-flto=`nproc`" 

./configure --enable-gtk --disable-qt && make -j`nproc`

..

/usr/bin/ar: dfa.o: plugin needed to handle lto object

/usr/bin/ranlib: libguess.a(dfa.o): plugin needed to handle lto object

..

/usr/bin/ar: aud-dbus.o: plugin needed to handle lto object

/usr/bin/ranlib: aud-dbus.a(aud-dbus.o): plugin needed to handle lto object

..

/usr/bin/ld: /tmp/audtool.yuTAq3.ltrans0.ltrans.o: in function `playback_playing':

<artificial>:(.text+0xad): undefined reference to `obj_audacious_call_playing_sync'

/usr/bin/ld: /tmp/audtool.yuTAq3.ltrans0.ltrans.o: in function `playback_paused':

<artificial>:(.text+0xed): undefined reference to `obj_audacious_call_paused_sync'

..

collect2: error: ld returned 1 exit status

Failed to link audtool!

..

History

#1 - May 18, 2020 04:34 - John Lindgren

- Status changed from New to Rejected

This is a toolchain issue, Google could have told you that.

https://bugzilla.redhat.com/show_bug.cgi?id=1678826

#2 - July 14, 2020 09:42 - Artem S. Tashkinov

To fix this issue in Fedora 32:

sudo ln -s /usr/libexec/gcc/x86_64-redhat-linux/10/liblto_plugin.so /usr/lib64/bfd-plugins/liblto_plugin.so

 

10 above is the version of GCC currently installed (will be different in the future).
